TAR(1)

NUME
tar - un instrument pentru arhivare

REZUMAT

  Utilizarea tradițională
tar {A|c|d|r|t|u|x}[GnSkUWOmpsMBiajJzZhPlRvwo] [ARG...]

  Utilizarea în stilul UNIX

tar -A [OPȚIUNI] ARHIVĂ ARHIVĂ

tar -c [-f ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar -d [-f ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar -t [-f ARHIVĂ] [OPȚIUNI] [NUME-MEMBRU...]

tar -r [-f ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar -u [-f ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar -x [-f ARHIVĂ] [OPȚIUNI] [NUME-MEMBRU...]

  Utilizarea în stilul GNU

tar {--catenate|--concatenate} [OPȚIUNI] ARHIVĂ ARHIVĂ

tar --create [--file ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar {--diff|--compare} [--file ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar --delete [--file ARHIVĂ] [OPȚIUNI] [NUME-MEMBRU...]

tar --append [-f ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar --list [-f ARHIVĂ] [OPȚIUNI] [NUME-MEMBRU...]

tar --test-label [--file ARHIVĂ] [OPȚIUNI] [ETICHETA...]

tar --update [--file ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar --update [-f ARHIVĂ] [OPȚIUNI] [FIȘIER...]

tar {--extract|--get} [-f ARHIVĂ] [OPȚIUNI] [NUME-MEMBRU...]

NOTĂ
Această pagină de manual este o scurtă descriere a GNU tar. Pentru o discuție detaliată, inclusiv exemple și recomandări de utilizare, consultați Manualul GNU Tar disponibil în format texinfo. Dacă cititorul info și documentația tar sunt instalate corect pe sistemul dumneavoastră, comanda

    info tar

ar trebui să vă permită accesul la manualul complet.

De asemenea, puteți vizualiza manualul folosind modul info din emacs(1) sau îl puteți găsi în diverse formate online la adresa

    http://www.gnu.org/software/tar/manual

În cazul în care apar discrepanțe între această pagină de manual și manualul Manualul GNU Tar, acesta din urmă va fi considerat sursa care are autoritate.

DESCRIERE
GNU tar este un program de arhivare conceput pentru a stoca mai multe fișiere într-un singur fișier ("o arhivă") și pentru a manipula astfel de arhive. Arhiva poate fi fie un fișier obișnuit, fie un dispozitiv (de exemplu, o unitate de bandă magnetică (tape drive), de unde și numele programului, care vine de la tape archiver), care poate fi localizat fie pe o mașină locală, fie pe o mașină aflată la distanță.

  Stiluri de opțiuni
Opțiunile pentru GNU tar pot fi date în trei stiluri diferite. În stilul tradițional, primul argument este un grup de litere de opțiune și toate argumentele ulterioare furnizează argumente pentru acele opțiuni care le solicită. Argumentele sunt citite în aceeași ordine ca și literele de opțiune. Toate cuvintele din linia de comandă care rămân după ce toate opțiunile au fost procesate sunt tratate ca argumente neopționale: nume de fișiere sau de membri ai arhivei.

De exemplu, opțiunea c solicită crearea arhivei, opțiunea v solicită ca operația să se efectueze cu informații detaliate despre ce se realizează, iar opțiunea f primește un argument care stabilește numele arhivei pe care se operează. Următoarea comandă, scrisă în stilul tradițional, ordonă lui «tar» să stocheze toate fișierele din directorul /etc în fișierul de arhivă etc.tar, enumerând în mod detaliat fișierele care sunt arhivate:

    tar cfv etc.tar /etc

În stilul UNIX sau cu opțiuni scurte, fiecare literă de opțiune este precedată de o singură liniuță, ca în cazul altor instrumente de linie de comandă. Dacă o opțiune are un argument, argumentul o urmează, fie ca un cuvânt separat în linia de comandă, fie imediat după opțiune. Cu toate acestea, în cazul în care opțiunea are un argument opțional, argumentul trebuie să urmeze litera opțiunii fără niciun spațiu alb intermediar, ca în -g/tmp/snar.db.

Orice număr de opțiuni care nu primesc argumente pot fi grupate împreună după o singură liniuță, de exemplu -vkp. Opțiunile care acceptă argumente (fie că sunt obligatorii sau opționale) pot apărea la sfârșitul unui astfel de grup, de exemplu -vkpf a.tar.

Exemplul de comandă de mai sus scris în stilul cu opțiune scurtă ar putea arăta astfel:

    tar -cvf etc.tar /etc
sau
    tar -c -v -f etc.tar /etc

În GNU sau stilul cu opțiuni lungi, fiecare opțiune începe cu două liniuțe și are un nume semnificativ, format din litere minuscule și liniuțe. Atunci când este utilizată, opțiunea lungă poate fi abreviată la literele sale inițiale, cu condiția ca acest lucru să nu creeze ambiguitate. Argumentele pentru opțiunile lungi sunt furnizate fie ca un cuvânt separat în linia de comandă, imediat după opțiune, fie separate de opțiune printr-un semn egal, fără spații albe intermediare. Argumentele opționale trebuie să utilizeze întotdeauna cea din urmă metodă.

Iată mai multe moduri de a scrie comanda dată de exemplu în acest stil:

    tar --create --file etc.tar --verbose /etc
sau (abreviind unele opțiuni):
    tar --cre --file=etc.tar --verb /etc

Opțiunile din toate cele trei stiluri pot fi amestecate, deși nu se încurajează să faceți acest lucru cu opțiunile vechi.

  Mod de operare
Opțiunile enumerate în tabelul de mai jos îi indică lui GNU tar ce operațiune trebuie să efectueze. Trebuie să se dea exact una dintre ele. Semnificația argumentelor neopționale depinde de modul de operare solicitat.

-A, --catenate, --concatenate
    Adaugă arhiva la sfârșitul altei arhive. Argumentele sunt tratate ca nume de arhive care trebuie adăugate. Toate arhivele trebuie să aibă același format ca arhiva la care sunt adăugate, în caz contrar arhiva rezultată ar putea fi inutilizabilă în cazul implementărilor non-GNU ale lui tar. Rețineți, de asemenea, că atunci când se indică mai multe arhive, membrii din alte arhive decât prima vor fi accesibili în arhiva rezultată numai dacă se utilizează opțiunea -i (--ignore-zeros). Arhivele comprimate nu pot fi concatenate.

-c, --create
    Creează o nouă arhivă. Argumentele furnizează numele fișierelor care urmează să fie arhivate. Directoarele sunt arhivate recursiv, cu excepția cazului în care este dată opțiunea --no-recursion.

-d, --diff, --compare
    Găsește diferențele dintre arhivă și sistemul de fișiere. Argumentele sunt opționale și specifică membrii arhivei care trebuie comparați. Dacă nu se specifică, se presupune că este vorba de directorul de lucru curent.

--delete
    Șterge din arhivă. Argumentele furnizează numele membrilor arhivei care urmează să fie eliminați. Trebuie să se dea cel puțin un argument. Această opțiune nu funcționează în cazul arhivelor comprimate. Nu există o opțiune scurtă echivalentă.

-r, --append
    Adaugă fișiere la sfârșitul unei arhive. Argumentele au aceeași semnificație ca pentru -c (--create).

-t, --list
    Listează conținutul unei arhive. Argumentele sunt opționale. Atunci când sunt date, acestea specifică numele membrilor care trebuie listați.

--test-label
    Testează eticheta volumului de arhivă și iese. Atunci când este utilizat fără argumente, imprimă eticheta volumului (dacă există) și iese cu starea 0. Atunci când sunt date unul sau mai multe argumente în linia de comandă, tar compară eticheta volumului cu fiecare argument. Iese cu codul 0 dacă se găsește o potrivire, iar în caz contrar cu codul 1. Nu se afișează nici o ieșire, cu excepția cazului în care se utilizează împreună cu opțiunea -v (--verbose). Nu există o opțiune scurtă echivalentă pentru această opțiune.

-u, --update
    Adaugă fișiere care sunt mai noi decât copia corespunzătoare din arhivă. Argumentele au aceeași semnificație ca și în cazul opțiunilor -c și -r. Observați că fișierele mai noi nu înlocuiesc vechile lor copii din arhivă, ci sunt adăugate la sfârșitul arhivei. Arhiva rezultată poate astfel să conțină mai mulți membri cu același nume, care corespund diferitelor versiuni ale aceluiași fișier.

-x, --extract, --get
    Extrage fișiere dintr-o arhivă. Argumentele sunt opționale. Atunci când sunt date, acestea specifică numele membrilor arhivei care urmează să fie extrași.

--show-defaults
    Afișează valorile implicite predefinite pentru diferite opțiuni ale lui tar și iese. Nu sunt permise argumente.

-?, --help
    Afișează un scurt rezumat al opțiunilor și iese. Nu sunt permise argumente.

--usage
    Afișează o listă de opțiuni disponibile și iese. Nu sunt permise argumente.

--version
    Afișează versiunea programului și informațiile privind drepturile de autor și iese.

OPȚIUNI

  Modificatori operaţie

--check-device
    Verifică numele dispozitivelor când se creează arhivele incrementale (implicit).

-g, --listed-incremental=FIȘIER
    Gestionează noile copii de rezervă incrementale în format GNU. FIȘIER este numele unui fișier de instantanee, în care «tar» stochează informații suplimentare care sunt utilizate pentru a decide ce fișiere s-au modificat de la precedenta copie de rezervă incrementală și, în consecință, trebuie să fie din nou copiate. Dacă FIȘIER nu există la crearea unei arhive, acesta va fi creat și toate fișierele vor fi adăugate la arhiva rezultată (copia de rezervă nivel 0). Pentru a crea arhive incrementale de nivel N diferit de zero, se creează o copie a fișierului de instantanee creat în timpul creării copiei de rezervă de nivel N-1 și se utilizează ca FIȘIER. La listare sau la extragere, conținutul real al FIȘIERului nu este inspectat, ci este necesar doar din cauza cerințelor sintactice. Prin urmare, este o practică obișnuită să se utilizeze /dev/null în locul acestuia.

--hole-detection=METODA
    Utilizează METODA pentru a detecta găurile din fișierele disperse. Această opțiune implică --sparse. Valorile valide pentru METODĂ sunt seek și raw. Valoarea implicită este seek cu revenire la raw atunci când nu este cazul.

-G, --incremental
    Gestionează vechiul format GNU de copii de rezervă incrementale.

--ignore-failed-read
    Nu termină cu un cod de ieșire diferit de zero dacă fișierele nu pot fi citite

--level=NUMĂR
    Stabilește nivelul de salvare pentru arhiva creată în lista de arhivă incrementală. În prezent, numai --level=0 este semnificativ: acesta îi ordonă lui tar să trunchieze fișierul de instantanee înainte de salvare, forțând astfel o salvare de nivel 0.

-n, --seek
    Presupune că arhiva poate fi explorată. În mod normal, tar determină automat dacă arhiva poate fi explorată sau nu. Această opțiune este destinată utilizării în cazurile în care o astfel de recunoaștere eșuează. Ea are efect numai dacă arhiva este deschisă pentru citire (de exemplu, cu opțiunile --list sau --extract).

--no-check-device
    Nu verifică numerele dispozitivelor la crearea arhivelor incrementale.

--no-seek
    Presupune că arhiva nu poate fi explorată.

--occurrence[=N]
    Procesează numai a Na apariție a fiecărui fișier din arhivă. Această opțiune este valabilă numai atunci când este utilizată cu una dintre următoarele subcomenzi: --delete, --diff, --extract sau --list și atunci când se furnizează o listă de fișiere fie în linia de comandă, fie prin intermediul opțiunii -T. Valoarea implicită pentru N este 1.

--restrict
    Dezactivează utilizarea unor opțiuni potențial dăunătoare.

--sparse-version=MAJOR[.MINOR]
    Stabilește versiunea formatului de dispersie care trebuie utilizat (implică --sparse). Valorile valide ale argumentului sunt 0.0, 0.1 și 1.0. Pentru o discuție detaliată a formatelor de dispersie, consultați Manualul GNU Tar, apendicele D, „Sparse Formats”. Utilizând cititorul info, acesta poate fi accesat executând următoarea comandă: «info tar 'Sparse Formats'».

-S, --sparse
    Gestionează eficient fișierele disperse. Unele fișiere din sistemul de fișiere pot avea segmente care, de fapt, nu au fost scrise niciodată (destul de des, acestea sunt fișiere de baze de date create de sisteme precum DBM). Atunci când i se dă această opțiune, tar încearcă să determine dacă fișierul este dispers înainte de a-l arhiva și, în caz afirmativ, să reducă dimensiunea arhivei rezultate prin faptul că nu descarcă părțile goale din fișier.

  Suprascrie controlul
Aceste opțiuni controlează acțiunile tar la extragerea unui fișier peste o copie existentă pe disc.

-k, --keep-old-files
    Nu înlocuiește fișierele existente atunci când extrage.

--keep-newer-files
    Nu înlocuiește fișierele existente care sunt mai noi decât copiile acestora din arhivă.

--keep-directory-symlink
    Păstrează legăturile simbolice existente către directoare când extrage.

--no-overwrite-dir
    Păstrează metadatale directoarelor existente.

--one-top-level[=DIR]
    Extrage toate fișierele în DIR, sau, dacă este folosit fără argument, într-un subdirector numit după numele de bază al arhivei (minus sufixele standard de compresie recunoscute de --auto-compress).

--overwrite
    Suprascrie fișierele existente la extragere.

--overwrite-dir
    Suprascrie metadatele directoarelor existente când extrage (implicit).

--recursive-unlink
    Elimină în mod recursiv toate fișierele din director înainte de a le extrage.

--remove-files
    Elimină fișierele de pe disc după adăugarea lor în arhivă.

--skip-old-files
    Nu înlocuiește fișierele existente atunci când extrage, trece peste ele în mod silențios.

-U, --unlink-first
    Elimină fiecare fișier înainte de a extrage peste el.

-W, --verify
    Verifică arhiva după scrierea acesteia.

  Selectarea fluxului de ieșire

--ignore-command-error

Ignoră codurile de ieșire ale subproceselor.

--no-ignore-command-error
    Tratează codurile de ieșire diferite de zero ale proceselor-copii ca eroare (implicit).

-O, --to-stdout
    Extrage fișierele la ieșirea standard.

--to-command=COMANDA
    Dirijează fișierele extrase către COMANDA. Argumentul este ruta de acces a unui program extern, opțional cu argumente de linie de comandă. Programul va fi invocat, iar conținutul fișierului extras îi va fi furnizat pe intrarea standard a acestuia. Datele suplimentare vor fi furnizate prin intermediul următoarelor variabile de mediu:

    TAR_FILETYPE
        Tipul de fișier. Este o singură literă cu următoarea semnificație:

        	f	fișier obișnuit
        	d	director
        	l	legătură simbolică
        	h	legătură dură
        	b	dispozitiv de blocn
        	c	dispozitiv de caracter
        În prezent, sunt acceptate doar fișierele obișnuite.

    TAR_MODE
        Modul de fișier (permisiunile fișierului), un număr octal.

    TAR_FILENAME
        Numele fișierului.

    TAR_REALNAME
        Numele fișierului, așa cum este stocat în arhivă.

    TAR_UNAME
        Numele proprietarului fișierului.

    TAR_GNAME
        Numele grupului proprietar al fișierului.

    TAR_ATIME
        Ora ultimei accesări. Este un număr zecimal, reprezentând secundele scurse de la „Epoca”. În cazul în care arhiva furnizează ore cu precizie de nanosecunde, nanosecundele sunt adăugate la marca temporală după un punct zecimal.

    TAR_MTIME
        Data și ora ultimei modificări.

    TAR_CTIME
        Data și ora ultimei schimbări de stare.

    TAR_SIZE
        Dimensiunea fișierului.

    TAR_UID
        UID-ul proprietarului fișierului.

    TAR_GID
        GID-ul proprietarului fișierului.
    În plus, următoarele variabile conțin informații despre modul de operare tar și despre arhiva care este procesată:

    TAR_VERSION
        Numărul versiunii GNU tar.

    TAR_ARCHIVE
        Numele arhivei pe care o procesează tar.

    TAR_BLOCKING_FACTOR
        Coeficientul de blocuri curent, adică numărul de blocuri de 512 octeți dintr-o înregistrare.

    TAR_VOLUME
        Numărul ordinal al volumului pe care tar îl prelucrează (setul dacă se citește o arhivă cu mai multe volume).

    TAR_FORMAT
        Formatul arhivei în curs de prelucrare. Unul dintre următoarele: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        Opțiune scurtă (cu o liniuță de început) care descrie operația pe care o execută tar.

  Manipulare atribute fişiere

--atime-preserve[=METODA]
    Păstrează data și ora de acces la fișierele transferate, fie prin restabilirea datei și orei după citire (METODA=replace, aceasta este valoarea implicită), fie prin nestabilirea datei și orei în primul rând (METODA=system).

--delay-directory-restore
    Amână stabilirea datei și orei de modificare și a permisiunilor directoarelor extrase până la sfârșitul extragerii. Utilizați această opțiune atunci când extrageți dintr-o arhivă care are o ordine neobișnuită a membrilor.

--group=NUME[:GID]
    Forțează NUME ca grup pentru fișierele adăugate. Dacă GID nu este furnizat, NUMEle poate fi, fie un nume de utilizator, fie un GID numeric. În acest caz, partea care lipsește (GID sau nume) va fi dedusă din baza de date de grupuri a gazdei curente. Atunci când se utilizează cu --group-map=FIȘIER, afectează numai acele fișiere al căror grup proprietar nu este listat în FIȘIER.

--group-map=FIȘIER
    Citește tabelul de traducere al grupului din FIȘIER. Liniile goale sunt ignorate. Comentariile sunt introduse cu semnul # și se extind până la sfârșitul liniei. Fiecare linie care nu este goală din FIȘIER definește traducerea pentru un singur grup. Aceasta trebuie să fie formată din două câmpuri, delimitate de orice cantitate de spațiu alb:
        GRUPUL_VECHI GRUPUL_NOU[:GID_NOU]
    GRUPUL_VECHI este fie un nume de grup valid, fie un GID prefixat cu +. Cu excepția cazului în care se furnizează GID_NOU, GRUPUL_NOU trebuie să fie, de asemenea, fie un nume de grup valid, fie un +GID. În caz contrar, atât GRUPUL_NOU, cât și GID_NOU nu trebuie să fie listate în baza de date a grupurilor de sistem. Ca urmare, fiecare fișier de intrare cu grupul proprietar GRUPUL_VECHI va fi stocat în arhiva cu grupul proprietar GRUPUL_NOU și GID-ul GID_NOU.

--mode=SCHIMBĂRI
    Forțează mod (simbolic) SCHIMBĂRI pentru fișierele adăugate.

--mtime=DATA-SAU_FIȘIERUL
    Stabilește „mtime” pentru fișierele adăugate. DATA-SAU-FIȘIERUL este fie o dată/ora într-un format aproape arbitrar, fie numele unui fișier existent. În acest din urmă caz, se va utiliza „mtime” a acelui fișier.

-m, --touch
    Nu extrage ora și data de modificare al fișierului.

--no-delay-directory-restore
    Anulează efectul opțiunii anterioare --delay-directory-restore.

--no-same-owner
    Extrage fișierele ca tine (implicit pentru utilizatorii obișnuiți).

--no-same-permissions
    Aplică masca de permisiuni a utilizatorului când se extrag permisiunile de la arhivă (implicit pentru utilizatorii obișnuiți).

--numeric-owner
    Utilizează întotdeauna numere pentru numele utilizatorilor/grupurilor.

--owner=NUME[:UID]
    Forțează NUME ca proprietar pentru fișierele adăugate. Dacă UID nu este furnizat, NUME poate fi fie un nume de utilizator, fie un UID numeric. În acest caz, partea care lipsește (UID sau nume) va fi dedusă din baza de date de utilizatori a gazdei curente. Atunci când se utilizează cu --owner-map=FIȘIER, afectează numai acele fișiere al căror proprietar nu este listat în FIȘIER.

--owner-map=FIȘIER
    Citește tabelul de traducere al proprietarului din FIȘIER. Liniile goale sunt ignorate. Comentariile sunt introduse cu semnul # și se extind până la sfârșitul liniei. Fiecare linie care nu este goală din FIȘIER definește traducerea pentru un singur UID. Aceasta trebuie să fie formată din două câmpuri, delimitate de orice cantitate de spațiu alb:
        UTILIZATOR_VECHI UTILIZATOR_NOU[:UID_NOU]
    UTILIZATOR_VECHI este fie un nume de utilizator valid, fie un UID prefixat cu +. Cu excepția cazului în care se furnizează UID_NOU, UTILIZATOR_NOU trebuie să fie, de asemenea, fie un nume de utilizator valid, fie un +UID. În caz contrar, atât UTILIZATOR_NOU, cât și UID_NOU nu trebuie să fie listate în baza de date a utilizatorilor sistemului. Ca urmare, fiecare fișier de intrare deținut de UTILIZATOR_VECHI va fi stocat în arhivă cu numele proprietarului UTILIZATOR_NOU și UID-ul UID_NOU.

-p, --preserve-permissions, --same-permissions
    extrage informații despre permisiunile fișierului (implicit pentru superutilizator)

--same-owner
    Încearcă să extragi fișierele cu același proprietar ca cel care există în arhivă (implicit pentru superutilizator).

-s, --preserve-order, --same-order
    Sortează numele de extras pentru a se potrivi cu arhiva

--sort=ORDINE
    Atunci când creează o arhivă, sortează intrările din directoare în funcție de ORDINE, care este unul dintre: none (niciuna), name (nume) sau inode (nod-i). Valoarea implicită este --sort=none (niciuna), care stochează membrii arhivei în aceeași ordine în care este returnată de sistemul de operare. Folosind --sort=name (nume) se asigură că ordinea membrilor în arhiva creată este uniformă și reproductibilă. Utilizarea --sort=inode (nod-i) reduce numărul de căutări pe disc la crearea arhivei și, prin urmare, poate accelera considerabil arhivarea. Această ordine de sortare este acceptată numai dacă sistemul de bază furnizează informațiile necesare.

  Atribute de fișier extinse

--acls
    Activează suportul ACLs POSIX.

--no-acls
    Dezactivează suportul ACLs POSIX.

--selinux
    Activează suportul de context SELinux.

--no-selinux
    Dezactivează suportul de context SELinux.

--xattrs
    Activează suportul de atribute extinse.

--no-xattrs
    Dezactivează suportul de atribute extinse.

--xattrs-exclude=MODEL
    Specifică modelul de excludere pentru cheile xattr. MODEL este o expresie regulată POSIX, de exemplu, --xattrs-exclude='^user.', pentru a exclude atributele din spațiul de nume al utilizatorului.

--xattrs-include=MODEL
    Specifică modelul de includere pentru cheile xattr. MODEL este o expresie regulată POSIX,.

  Selectare şi schimbare unitate

-f, --file=ARHIVĂ
    Utilizează fișierul arhivă sau dispozitivul ARHIVĂ. Dacă această opțiune nu este dată, tar va examina mai întâi variabila de mediu „TAPE”. Dacă aceasta este definită, valoarea sa va fi utilizată ca nume de arhivă. În caz contrar, tar va prelua valoarea implicită compilată. Valoarea implicită poate fi inspectată fie cu ajutorul opțiunii --show-defaults, fie la sfârșitul ieșirii comenzii tar --help. Un nume de arhivă care are în el două puncte specifică un fișier sau un dispozitiv de pe o mașină aflată la distanță. Partea de dinaintea celor două puncte este considerată ca fiind numele mașinii sau adresa IP, iar partea de după ca fiind numele de acces la fișier sau dispozitiv, de exemplu:
        --file=gazdă_la_distanță:/dev/sr0
    Un nume de utilizator opțional poate fi prefixat la numele de gazdă, plasând un semn @ între ele. În mod implicit, gazda de la distanță este accesată prin intermediul comenzii rsh(1). În prezent, este obișnuit să se utilizeze în schimb ssh(1). Puteți face acest lucru oferind următoarea opțiune de linie de comandă:
        --rsh-command=/usr/bin/ssh
    Mașina de la distanță trebuie să aibă instalată comanda rmt(8). În cazul în care numele său de rută nu se potrivește cu cel implicit al tar, puteți informa tar cu privire la numele de rută corect folosind opțiunea --rmt-command.

--force-local
    Fișierul arhivă este local chiar dacă are două puncte.

-F, --info-script=COMANDA, --new-volume-script=COMANDA
    Rulează COMANDA la sfârșitul fiecărei benzi magnetice (implică -M). Comanda poate include argumente. Când este lansată, va moșteni mediul lui tar plus următoarele variabile:

    TAR_VERSION
        Numărul versiunii GNU tar.

    TAR_ARCHIVE
        Numele arhivei pe care o procesează tar.

    TAR_BLOCKING_FACTOR
        Coeficientul de blocuri curent, adică numărul de blocuri de 512 octeți dintr-o înregistrare.

    TAR_VOLUME
        Numărul ordinal al volumului pe care tar îl prelucrează (setul dacă se citește o arhivă cu mai multe volume).

    TAR_FORMAT
        Formatul arhivei în curs de prelucrare. Unul dintre următoarele: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        Opțiune scurtă (cu o liniuță de început) care descrie operația pe care o execută tar.

    TAR_FD
        Descriptorul de fișier care poate fi utilizat pentru a comunica noul nume de volum către tar.
    Dacă scriptul „info” eșuează, tar iese; în caz contrar, începe să scrie următorul volum.

-L, --tape-length=N
    Schimbă banda magnetică după ce a scris Nx1024 octeți. Dacă N este urmat de un sufix de mărime (a se vedea subsecțiunea Sufixe de mărime de mai jos), sufixul specifică factorul multiplicativ care trebuie utilizat în loc de 1024. Această opțiune implică -M.

-M, --multi-volume
    Creează/listează/extrage o arhivă multi-volum.

--rmt-command=COMANDA
    Utilizează COMANDA în loc de rmt la accesarea arhivelor de la distanță. A se vedea descrierea opțiunii -f, de mai sus.

--rsh-command=COMANDA
    Utilizează COMANDA în loc de rsh la accesarea arhivelor de la distanță. A se vedea descrierea opțiunii -f, de mai sus.

--volno-file=FIȘIER
    Atunci când această opțiune este utilizată împreună cu --multi-volum, tar va ține evidența volumului dintr-o arhivă multi-volum în care lucrează în FIȘIER.

  Blocuri unitate

-b, --blocking-factor=BLOCURI
    Stabilește dimensiunea înregistrării la BLOCURIx512 octeți.

-B, --read-full-records
    Când listează sau extrage, acceptă înregistrările de intrare incomplete după marcajul de sfârșit de fișier.

-i, --ignore-zeros
    Ignoră blocurile care constau în zerouri din arhivă. În mod normal, două blocuri consecutive de 512 blocuri umplute cu zerouri înseamnă EOF (sfârșit de fișier), iar «tar» oprește citirea după ce le întâlnește. Această opțiune îi indică să citească în continuare și este utilă la citirea arhivelor create cu opțiunea -A.

--record-size=NUMĂR
    Stabilește dimensiunea înregistrării. NUMĂR este numărul de octeți pe înregistrare. Acesta trebuie să fie multiplu de 512. Poate fi sufixat cu un sufix size, de exemplu --record-size=10K, pentru 10 Kiloocteți. A se vedea subsecțiunea Sufixe de mărime, pentru o listă de sufixe valabile.

  Selecţie format arhivă

-H, --format=FORMAT
    Creează arhiva în formatul dat. Formatele valide sunt:

    gnu Formatul GNU tar 1.13x

    oldgnu
        Formatul GNU conform cu tar <= 1.12.

    pax, posix
        Formatul POSIX 1003.1-2001 (pax).

    ustar
        Formatul POSIX 1003.1-1988 (ustar).

    v7  Vechiul format tar V7.

--old-archive, --portability
    Ca şi --format=v7.

--pax-option=cuvânt_cheie[[:]=valoare][,cuvânt_cheie[[:]=valoare]]...
    Controlează cuvintele-cheie pax la crearea arhivelor PAX (-H pax). Această opțiune este echivalentă cu opțiunea -o a instrumentului pax(1).

--posix
    Ca şi --format=posix.

-V, --label=TEXT
    Creează arhiva cu numele de volum TEXT. În cazul listării sau extragerii, utilizează TEXT ca model de globalizare (folosind metacaractere (caractere-jocker)) pentru numele volumului.

  Opțiuni de comprimare

-a, --auto-compress
    Utilizează sufixul arhivei pentru a determina programul de comprimare.

-I, --use-compress-program=COMANDĂ
    Filtrează datele cu ajutorul COMENZII. Trebuie să accepte opțiunea -d, pentru decomprimare. Argumentul poate conține opțiuni de linie de comandă.

-j, --bzip2
    Filtrează arhiva prin bzip2(1).

-J, --xz
    Filtrează arhiva prin xz(1).

--lzip
    Filtrează arhiva prin lzip(1).

--lzma
    Filtrează arhiva prin lzma(1).

--lzop
    Filtrează arhiva prin lzop(1).

--no-auto-compress
    Nu utilizează sufixul arhivei pentru a determina programul de comprimare.

-z, --gzip, --gunzip, --ungzip
    Filtrează arhiva prin gzip(1).

-Z, --compress, --uncompress
    Filtrează arhiva prin compress(1).

--zstd
    Filtrează arhiva prin zstd(1).

  Selecție fișier local

--add-file=FIȘIER
    Adaugă FIȘIERUL dat la arhivă (util dacă numele acestuia începe cu o liniuță).

--backup[=CONTROL]
    Face o copie de rezervă înainte de eliminare. Argumentul CONTROL, dacă este furnizat, controlează politica de copie de rezervă. Valorile sale valide sunt:

    none, off
        Nu face copii de rezervă niciodată.

    t, numbered
        Face copii de rezervă numerotate.

    nil, existing
        Creează copii de rezervă numerotate dacă există copii de rezervă numerotate, iar în caz contrar copii de rezervă simple.

    never, simple
        Face întotdeauna copii de rezervă simple
    Dacă nu se indică CONTROL, valoarea este preluată din variabila de mediu VERSION_CONTROL. Dacă aceasta nu este definită, se presupune existing (valoarea existentă).

-C, --directory=DIR
    Schimbă la DIR înainte de a efectua orice operație. Această opțiune este sensibilă la ordine, adică afectează toate opțiunile care urmează.

--exclude=MODEL
    Exclude fișierele care se potrivesc cu MODELUL, un model de metacaractere (caractere-jocker) în stil glob(3).

--exclude-backups
    Exclude fișierele de copii de rezervă și blocare.

--exclude-caches
    Exclude conținutul directoarelor care conțin fișierul CACHEDIR.TAG, cu excepția fișierului de etichetă propriu-zis.

--exclude-caches-all
    Exclude directoarele care conțin fișierul CACHEDIR.TAG și fișierul însuși.

--exclude-caches-under
    Exclude tot ceea ce se află sub directoarele care conțin CACHEDIR.TAG

--exclude-ignore=FIȘIER
    Înainte de a transfera un director, verifică dacă acesta conține FIȘIERUL. În caz afirmativ, citește modelele de excludere din acest fișier. Modelele afectează numai directorul în sine.

--exclude-ignore-recursive=FIȘIER
    La fel ca --exclude-ignore, cu excepția faptului că modelele din FIȘIER afectează atât directorul, cât și toate subdirectoarele sale.

--exclude-tag=FIȘIER
    Exclude conținutul directoarelor care conțin FIȘIERUL, cu excepția FIȘIERULUI însuși.

--exclude-tag-all=FIȘIER
    Exclude directoarele care conțin FIȘIERUL.

--exclude-tag-under=FIȘIER
    Exclude tot ceea ce se află sub directoarele care conțin FIȘIERUL.

--exclude-vcs
    Exclude directoarele sistemului de control al versiunilor.

--exclude-vcs-ignores
    Exclude fișierele care se potrivesc cu modelele citite din fișierele de ignorare specifice VCS. Fișierele acceptate sunt: .cvsignore, .gitignore, .bzrignore și .hgignore.

-h, --dereference
    Urmărește legăturile simbolice; arhivează și transferă fișierele la care arată.

--hard-dereference
    Urmărește legăturile dure; arhivează și transferă fișierele la care se referă.

-K, --starting-file=NUME-MEMBRU
    Începe de la membrul dat (NUME-MEMBRU) din arhivă.

--newer-mtime=DATA
    Lucrează pe fișiere ale căror date s-au modificat după DATA. Dacă DATA începe cu / sau ., se consideră că este un nume de fișier; „mtime” al acelui fișier este utilizat ca dată.

--no-null
    Dezactivează efectul opțiunii --null precedentă.

--no-recursion
    Evită coborârea automată în directoare.

--no-unquote
    Nu elimină ghilimelele din numele fișierului de intrare sau din numele membrilor

--no-verbatim-files-from
    Tratează fiecare linie citită dintr-o listă de fișiere ca și cum ar fi fost furnizată în linia de comandă. Adică, se elimină spațiile albe de început și de sfârșit și, dacă șirul rezultat începe cu o liniuță, este tratat ca opțiunea de linie de comandă tar. Acesta este comportamentul implicit. Opțiunea --no-verbatim-files-from este furnizată ca o modalitate de a-l restabili după opțiunea --verbatim-files-from. Această opțiune este pozițională: afectează toate opțiunile --files-from care apar după ea în, până la opțiunea --verbatim-files-from sau până la sfârșitul liniei, în funcție de care apare mai întâi. Este subînțeleasă de opțiunea --no-null.

--null
    Indică opțiunilor ulterioare -T să citească textual (verbatim) numele cu terminație nulă (dezactivează tratarea specială a numelor care încep cu o liniuță). A se vedea, de asemenea, --verbatim-files-from.

-N, --newer=DATA, --after-date=DATA
    Stochează numai fișiere mai noi decât DATA. Dacă DATA începe cu / sau ., se consideră că este un nume de fișier; „mtime” al acelui fișier este utilizat ca dată.

--one-file-system
    Rămâne în sistemul de fișiere local la crearea arhivei.

-P, --absolute-names
    Nu înlătură barele înclinate „/” de la începutul numelor de fișiere la crearea arhivelor.

--recursion
    Coboară recursiv în directoare (implicit).

--suffix=ȘIR
    Face o copie de rezervă înaintea eliminării, suprascrie sufixul uzual. Sufixul implicit este ~, dacă nu este înlocuit de variabila de mediu SIMPLE_BACKUP_SUFFIX.

-T, --files-from=FIȘIER
    Obține numele care trebuie extrase sau create din FIȘIER. Cu excepția cazului în care se specifică altfel, FIȘIERUL trebuie să conțină o listă de nume separate prin ASCII LF (adică un nume pe linie). Numele citite sunt tratate în același mod ca și argumentele din linia de comandă. Acestea sunt supuse eliminării ghilimelelor și divizării cuvintelor, iar orice șir de caractere care începe cu un - este tratat ca o opțiune de linie de comandă tar. Dacă acest comportament nu este dorit, poate fi dezactivat cu ajutorul opțiunii --verbatim-files-from. Opțiunea --null îi indică lui tar că numele din FILE sunt separate de caracterul ASCII NUL, în loc de LF. Este utilă în cazul în care lista este generată de comanda «find(1) -print0».

--unquote
    Elimină ghilimelele din numele fișierului de intrare sau din numele membrilor (implicit)

--verbatim-files-from
    Tratează fiecare linie obținută dintr-o listă de fișiere ca pe un nume de fișier, chiar dacă începe cu o liniuță. Listele de fișiere sunt furnizate cu opțiunea --files-from (-T). Comportamentul implicit este de a trata numele furnizate în listele de fișiere ca și cum ar fi fost tastate în linia de comandă, adică orice nume care începe cu o liniuță este tratat ca o opțiune tar. Opțiunea --verbatim-files-from dezactivează acest comportament. Această opțiune afectează toate opțiunile --files-from care apar după ea în linia de comandă. Efectul său este anulat de opțiunea --no-verbatim-files-from}.. Această opțiune este subînțeleasă de opțiunea --null. A se vedea, de asemenea, --add-file.

-X, --exclude-from=FIȘIER
    Exclude fișierele care corespund modelelor enumerate în FIȘIER.

  Transformări de nume de fișier

--strip-components=NUMĂR
    Elimină componentele de început NUMĂR din numele fișierelor care urmează să fie extrase.

--transform=EXPRESIA, --xform=EXPRESIA
    Utilizează înlocuirea EXPRESIEI cu «sed» pentru a transforma numele fișierelor.

  Opțiuni de potrivire a numelui de fișier
Aceste opțiuni afectează atât modelele de excludere, cât și cele de includere.

--anchored
    Modelele se potrivesc cu începutul numelui fișierului.

--ignore-case
    Ignoră majusculele.

--no-anchored
    Modelele se potrivesc după fiecare / (implicit pentru excludere).

--no-ignore-case
    Potrivire sensibilă la majuscule (implicit).

--no-wildcards
    Potrivire a șirului textuală (verbatim).

--no-wildcards-match-slash
    Metacaracterele (caracterele jocker) nu se potrivesc cu /.

--wildcards
    Utilizează metacaractere (implicit pentru excludere).

--wildcards-match-slash
    Metacaracterele se potrivesc cu / (implicit pentru excludere).

  Ieşire informativă

--checkpoint[=N]
    Afișează mesajele de progres la fiecare a N-a înregistrare (implicit 10).

--checkpoint-action=ACȚIUNE
    Execută ACȚIUNEA la fiecare punct de verificare.

--clamp-mtime
    Stabilește timpul doar când fișierul este mai recent decât a fost dat cu --mtime.

--full-time
    Afișează data și ora fișierelor cu precizie maximă.

--index-file=FIȘIER
    Trimite ieșire detaliată în FIŞIER.

-l, --check-links
    Afișează un mesaj dacă nu toate legăturile sunt prelucrate.

--no-quote-chars=ȘIR
    Dezactivează punerea între ghilimele a caracterelor din ȘIR.

--quote-chars=ȘIR
    Adaugă punerea între ghilimele a caracterelor din ȘIR.

--quoting-style=STIL
    Stabilește stilul punerii între ghilimele pentru numele fișierelor și al membrilor. Valorile valabile pentru STIL sunt literal, shell, shell-always, c, c-maybe, escape, locale, clocale.

-R, --block-number
    Afișează numărul blocului din arhivă cu fiecare mesaj.

--show-omitted-dirs
    Când se listează sau se extrage, listează fiecare director care nu se potrivește cu criteriile de căutare.

--show-transformed-names, --show-stored-names
    Afișează numele fișierelor sau arhivelor după transformarea prin opțiunile --strip și --transform.

--totals[=SEMNAL]
    Afișează numărul total de octeți după procesarea arhivei. Dacă se dă SEMNAL, se imprimă numărul total de octeți atunci când este transmis acest semnal. Semnalele permise sunt: SIGHUP, SIGQUIT, SIGINT, SIGUSR1 și SIGUSR2. Prefixul SIG poate fi omis.

--utc
    Afișează timpii (data+ora) de modificare a fișierului în UTC

-v, --verbose
    Afișează o listă detaliată a fișierelor procesate. Fiecare instanță a acestei opțiuni pe linia de comandă crește nivelul de detaliere cu un punct. Nivelul maxim de detaliere este 3. Pentru o discuție detaliată a modului în care diferitele niveluri de detaliere afectează ieșirea lui tar, consultați Manualul Tar GNU, subsecțiunea 2.5.1 „Opțiunea --verbose”.

--warning=CUVÂNTUL_CHEIE
    Activează sau dezactivează mesajele de avertizare identificate prin CUVÂNTUL_CHEIE. Mesajele sunt suprimate dacă CUVÂNTUL_CHEIE este prefixat cu no- și activate în caz contrar. Pot fi adăugate mai multe mesaje --warning. Cuvintele cheie care controlează operarea generală tar:

    all Activează toate mesajele de avertizare. Aceasta este valoarea implicită.

    none
        Dezactivează toate mesajele de avertisment.

    filename-with-nuls
        "%s: numele de fișier citit conține caracterul nul"

    alone-zero-block
        "Un singur bloc de zerouri în %s"

    Cuvintele cheie aplicabile pentru tar --create:

    cachedir
        "%s: conține o etichetă de director de zonă de prestocare (cache) %s; %s"

    file-shrank
        "%s: Fișierul s-a redus cu %s octeți; se umple cu zerouri"

    xdev
        "%s: fișierul este pe un sistem de fișiere diferit; nimic generat"

    file-ignored
        "%s: Tip de fișier necunoscut; fișier ignorat"
        "%s: soclu ignorat"
        "%s: poartă(door) ignorată"

    file-unchanged
        "%s: fișierul este neschimbat; nimic generat"

    ignore-archive
        "%s: fișierul este în arhivă; nimic generat"

    file-removed
        "%s: Fișier șters înainte de a-l putea citi"

    file-changed
        "%s: fișierul s-a modificat în timp ce era citit"

    failed-read
        Suprimă avertismentele privind fișierele sau directoarele care nu pot fi citite. Acest cuvânt cheie se aplică numai dacă este utilizat împreună cu opțiunea --ignore-failed-read.

    Cuvintele cheie aplicabile pentru tar --extract:

    existing-file
        "%s: se omite fișierul existent"

    timestamp
        "%s: înregistrare de timp neverosimilă %s"
        "%s: marcajul de oră %s este %s secunde în viitor"

    contiguous-cast
        "Extrage fișierele contigue ca fișiere normale"

    symlink-cast
        "Se încearcă extragerea legăturilor simbolice ca legături dure"

    unknown-cast
        "%s: Tip de fișier necunoscut „%c”, extras ca fișier normal"

    ignore-newer
        "%s curent este mai nou sau de aceeași vârstă"

    unknown-keyword
        "Se ignoră cuvântul cheie necunoscut din antetul extins „%s”"

    decompress-program
        Controlează o descriere detaliată a eșecurilor care apar atunci când se încearcă să se execute programe de decomprimare alternative. Acest avertisment este dezactivat în mod implicit (cu excepția cazului în care se utilizează --verbose). Un exemplu obișnuit de ceea ce puteți obține atunci când utilizați acest avertisment este:
            $ tar --warning=decompress-program -x -f archive.Z
            tar (proces-copil): nu se poate rula comprimarea: Nu există un astfel de fișier sau director
            tar (proces-copil): se încearcă gzip
        Acest lucru înseamnă că tar a încercat mai întâi să decomprime archive.Z folosind compress și, când a eșuat, a trecut la gzip.

    record-size
        "Dimensiune înregistrare = %lu blocuri"

    Cuvintele cheie care controlează extragerea incrementală:

    rename-directory
        "%s: Directorul a fost redenumit de la %s"
        "%s: Directorul a fost redenumit"

    new-directory
        "%s: Directorul este nou"

    xdev
        "%s: directorul este pe un dispozitiv diferit; nu se curăță"

    bad-dumpdir
        "Director de transferare malformat: „X” niciodată utilizat"

-w, --interactive, --confirmation
    Cere confirmare pentru fiecare acțiune.

  Opțiuni compatibilitate

-o  Când se creează, la fel ca --old-archive. Când se extrage, la fel ca --no-same-owner.

  Sufixe de dimensiune

	Sufix	Unitatea	Echivalentul în octeți
	b	Blocuri	DIMENSIUNEA x 512
	B	Kiloocteți	DIMENSIUNEA x 1024
	c	Octeți	DIMENSIUNEA
	G	Gigaocteți	DIMENSIUNEA x 1024^3
	K	Kiloocteți	DIMENSIUNEA x 1024
	k	Kiloocteți	DIMENSIUNEA x 1024
	M	Megaocteți	DIMENSIUNEA x 1024^2
	P	Petaocteți	DIMENSIUNEA x 1024^5
	T	Teraocteți	DIMENSIUNEA x 1024^4
	w	Cuvinte	DIMENSIUNEA x 2

VALOAREA RETURNATĂ
Codul de ieșire Tar indică dacă a reușit să efectueze cu succes operația solicitată și, în caz contrar, ce fel de eroare s-a produs.

0   Executarea programului s-a încheiat fără erori.

1   Unele fișiere diferă. Dacă «tar» a fost invocat cu opțiunea de linie de comandă --compare (--diff, -d), aceasta înseamnă că unele fișiere din arhivă diferă de cele de pe disc. Dacă «tar» a primit una dintre opțiunile --create, --append sau --update, acest cod de ieșire înseamnă că unele fișiere au fost modificate în timp ce erau arhivate și, prin urmare, arhiva rezultată nu conține o copie exactă a setului de fișiere.

2   Eroare fatală. Aceasta înseamnă că s-a produs o eroare fatală, irecuperabilă.

Dacă un subproces care a fost invocat de tar a ieșit cu un cod de ieșire diferit de zero, tar însuși iese cu acest cod. Acest lucru se poate întâmpla, de exemplu, dacă a fost utilizată o opțiune de comprimare (de exemplu, -z), iar programul de comprimare extern a eșuat. Un alt exemplu este eșecul rmt în timpul copierii de rezervă pe un dispozitiv de la distanță.

CONSULTAȚI ȘI
bzip2(1), compress(1), gzip(1), lzma(1), lzop(1), rmt(8), symlink(7), xz(1), zstd(1).

Pentru a consulta manualul complet de tar: rulați comanda «info tar» sau utilizați modul info emacs(1) pentru a-l citi.

Copii disponibile în Internet ale documentației GNU tar în diferite formate pot fi găsite la:

http://www.gnu.org/software/tar/manual

RAPORTAREA ERORILOR
Raportați erorile la <bug-tar@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2013-2019 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <http://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.